Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator.types
Class AttributeVisibility

    java.lang.Object
      de.jsystems.itemgenerator.types.AttributeVisibility

All Implemented Interfaces:
  Serializable

public class AttributeVisibility
extends Object
implements Serializable

Aufzaehlungsklasse fuer die moeglichen Sichtbarkeiten eines Attributes.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary
`static AttributeVisibility` | `NONE` Es wird keine get- oder set-Methode fuer den Attributzugriff erzeugt.
`static AttributeVisibility` | `PACKAGE` Die get- oder set-Methode fuer den Attributzugriff ist packagesichtbar.
`static AttributeVisibility` | `PROTECTED` Die get- oder set-Methode fuer den Attributzugriff hat protectedsichtbarkeit.
`static AttributeVisibility` | `PUBLIC` Die get- oder set-Methode fuer den Attributzugriff hat publicsichtbarkeit.

Method Summary
`boolean` | `equals(Object o)` Prueft das uebergebene Object auf Gleichheit mit diesem Object.
`static AttributeVisibility` | `getAttributeVisibility(String name)` Gibt die zum uebergebenen Namen passende Konstante zurueck.
`String` | `getName()` Gibt die Bezeichnung fuer die Sichtbarkeit zurueck.
`int` | `hashCode()` Gibt den Hashcode fuer die Sichtbarkeit zurueck.
`String` | `toString()` Gibt eine Stringrepraesentation des Objektes zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final AttributeVisibility NONE

  Es wird keine get- oder set-Methode fuer den Attributzugriff erzeugt.

### PACKAGE

    public static final AttributeVisibility PACKAGE

  Die get- oder set-Methode fuer den Attributzugriff ist packagesichtbar.

### PROTECTED

    public static final AttributeVisibility PROTECTED

  Die get- oder set-Methode fuer den Attributzugriff hat protectedsichtbarkeit.

### PUBLIC

    public static final AttributeVisibility PUBLIC

  Die get- oder set-Methode fuer den Attributzugriff hat publicsichtbarkeit.

Method Detail

### getName

    public String getName()

  Gibt die Bezeichnung fuer die Sichtbarkeit zurueck.

  Returns:
    Die Bezeichnung fuer die Sichtbarkeit.

### hashCode

    public int hashCode()

  Gibt den Hashcode fuer die Sichtbarkeit zurueck. Dabei handelt es sich um den Hashcode des Namens fuer die Sichtbarkeit.

  Returns:
    Der Hashcode der Sichtbarkeit.

### equals

    public boolean equals(Object o)

  Prueft das uebergebene Object auf Gleichheit mit diesem Object. Die Objekte sind dann gleich, wenn das uebergebene Objekt vom gleichen Typ ist und der Name beider Objekte gleich ist.

  Parameters:
    `o` - Das mit diesem Objekt zu vergleichende Objekt.
  Returns:
    boolean TRUE, wenn beiden Objekte gleich sind.

### toString

    public String toString()

  Gibt eine Stringrepraesentation des Objektes zurueck. Hier wird einfach der Name der Sichtbarkeit zurueckgegeben.

  Returns:
    Eine Stringrepraesentation des Objektes.

### getAttributeVisibility

    public static AttributeVisibility getAttributeVisibility(String name)

  Gibt die zum uebergebenen Namen passende Konstante zurueck. Falls es zu dem uebergebenen Namen keine Konstante gibt, wird NULL zurueckgegeben.

  Parameters:
    `name` - Ein Bezeichner zu dem die Konstante gehoert.
  Returns:
    ItemVisibility Die zum uebergebenen Bezeichner gehoerende Konstante oder NULL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD